
import { Container, Tab, Tabs } from "react-bootstrap";

import { ModalDades } from "./ModalDades";
import { ModalDelete } from "./ModalDelete";
import { ModalPassword } from "./ModalPassword";


export const ModalAccount = ({account,entity }) => {

    return (
        <>
            <Container>
                <Tabs
                    defaultActiveKey="dadesTab"
                    id="secondaryTab"
                    className="mb-3"
                >
                    <Tab eventKey="dadesTab" title="Dades">
                        <ModalDades 
                        account={account}
                        entity={entity}/>
                    </Tab>
                    <Tab eventKey="passwordTab" title="Password">
                       <ModalPassword account={account}/>
                    </Tab>
                    {account?.main && <Tab eventKey="deleteTab" title="Suprimir" /*disabled*/>
                        <ModalDelete account={account}/>
                    </Tab>}
                </Tabs>
            </Container>
            <style jsx>{`                
                `}</style>
        </>
    );
};
