import React from "react";
import Form from "react-bootstrap/Form";

export const General = (props) => {

    
    const { changeInput, value, id, name, label, type } = props;

    return (
        <Form.Row className="mt-2">
            <Form.Group className="col-md-12">
                <Form.Label
                    htmlFor={id}
                    style={{
                        fontSize: "1.2em",
                    }}
                >
                    {label ? label : ""}
                </Form.Label>
                <Form.Control
                    aria-describedby="password"
                    autoComplete="off"
                    className="form-control"
                    id={id}
                    name={name}
                    onChange={changeInput}
                    placeholder={label ? label : ""}
                    required
                    type={type}
                    value={value}
                />
                <Form.Control.Feedback type="invalid">
                   Aquest camp no pot estar en blanc                        
                </Form.Control.Feedback>
            </Form.Group>
        </Form.Row>
    );
};
