import React from "react";
import firebase from "firebase/app";
import TopPanel from "./TopPanel/TopPanel";
import EmailNotVerified from "./emailNotVerified";

const Main = () => {
    const user = firebase.auth().currentUser;

    return (
        <div className="app">
            <div className="containerApp">
                <section className="sectioncontainer">
                    <TopPanel margin={0} />
                    <EmailNotVerified user={user} />
                </section>
            </div>

            <style jsx>{`
                .sectioncontainer {
                    height: 100%;
                }
                /*Landscape & Portrait*/
                @media (max-width: 600px), (max-height: 600px) {
                    .sectioncontainer {
                        margin-left: 0rem;
                    }
                }
            `}</style>
           
        </div>
    );
};

export default Main;
