import ServeisContext from "../../../contexts/ServeisContext";
import Servei from "./Servei";

const Serveis = () => {
    const { serveis } = ServeisContext();

    return (
        <>
            {serveis?.length > 0 &&
                serveis.map((servei) => {
                    if (["open", "traspas"].includes(servei?.status)) {
                        return <Servei servei={servei} key={servei._id}/>;
                    }
                })}
        </>
    );
};

export default Serveis;
