import { useEffect, useState } from "react";
import { Container, FormControl, InputGroup } from "react-bootstrap";
import ObjectsContext from "../../../../../contexts/ObjectsContext";


const Events = ({events}) => {
   

    return (
        <div>
            {/* <InputGroup className="mb-3">
                <FormControl
                    placeholder="Cerca un event"
                    aria-label="Cerca un event"
                    aria-describedby="event-search"
                />
                <InputGroup.Text id="event-addon2">&#128270;</InputGroup.Text>
            </InputGroup> */}
            <table>
                <thead>
                    <tr>
                        <th className="center"></th>
                        <th className="titleGroup center">
                            <div style={{ textAlign: "right" }}>
                                {`Ultims Events (${events?.length})`}
                            </div>
                        </th>
                        <th className="center pointer"></th>
                    </tr>
                </thead>
                <tbody>
                    {events.map((texto) => {
                        return (
                            
                                <tr key={Math.random().toString(36).substr(2, 10).toUpperCase()}>
                                    <td className="center">
                                        <div
                                            style={{
                                                textAlign: "left",
                                            }}
                                        >
                                            {texto}
                                        </div>
                                    </td>
                                    <td className="center pointer">
                                        {/* <img
                                            title="Accions"

                                            className="dotImg"
                                            src="/navLateral/slides/dots.svg"
                                            alt="Icona de menys"
                                        /> */}
                                    </td>
                                </tr>
                            
                        );
                    })}
                </tbody>

                <style jsx>{`
                    th > img {
                        margin: 0px 0px;
                        width: 15px;
                        height: 15px;
                        pointer-events: none;
                        user-select: none;
                    }
                    .pointer {
                        cursor: pointer;
                    }
                    .titleGroup {
                        font-size: normal;
                    }
                    .center {
                        align-self: center;
                        text-align: center;
                    }

                    table {
                        background: #007bff3e;
                        margin-top: 1.2rem;
                        width: 100%;
                        font-size: small;
                        margin-bottom: 2rem;
                    }

                    thead > tr {
                        display: grid;
                        grid-template-columns: 8% 80% 12%;
                        margin-top: 10px;
                    }
                    tbody > :global(tr: first-child) {
                        border-top: 1px #8a8a8a90 solid;
                    }
                    tbody > :global(tr) {
                        border-bottom: 1px #8a8a8a90 solid;
                        height: 2.5rem;
                        display: grid;
                        grid-template-columns: 92% 8%;
                    }
                    .hidden {
                        visibility: collapse;
                    }
                    .plus {
                        content: url("/navLateral/slides/plus.svg");
                    }
                    img {
                        margin: 0px 2px;
                        width: 20px;
                        height: 20px;
                    }
                    .pointer {
                        cursor: pointer;
                    }

                    .center {
                        align-self: center;
                        text-align: center;
                    }

                    td > input {
                        margin-top: 5px;
                    }
                    td > div {
                        margin-left: 2px;
                    }
                    .dotImg {
                        margin: 0px;
                        width: 16px;
                        height: 16px;
                    }
                `}</style>
            </table>
        </div>
    );
};

export default Events;
