import React, { useState } from "react";
import Image from "next/image";

const NavToogle = () => {
    
    const [iconMenu, seticonMenu] = useState(`quickNav.svg`);

    const openNav = () => {
        document
            .getElementsByClassName("verticalMenu")[0]
            .classList.toggle("visibleM");

        seticonMenu(() => {
            if (document.getElementsByClassName("visibleM").length !== 0) {
                return `quickNavClose.svg`;
            } else {
                return `quickNav.svg`;
            }
        });
    };

    return (
        <div className="togglemenu" onClick={openNav}>
            <Image
                src={`/navLateral/${iconMenu}`}
                alt="Imatge menú navegació movil"
                height={60}
                width={60}
            />
            <style jsx>{`
                .togglemenu {
                    display: none;
                }

                .togglemenu:hover {
                    background: var(--primaryBlue);
                }
                .togglemenu > img {
                    pointer-events: none;
                    user-select: none;
                }

                /*Landscape & Portrait*/
                @media (max-width: 600px), (max-height: 600px) {
                    .togglemenu {
                        background: var(--verticalMenu);
                        color: #fff;
                        cursor: pointer;
                        display: block;
                        padding: 0.125rem;
                        position: fixed;
                        text-align: center;
                        width: 4rem;
                        z-index: 2;
                        height: 3.75rem;
                        display: block;
                    }
                }
            `}</style>
        </div>
    );
};

export default NavToogle;
