import { useContext, createContext, useState, useMemo, useEffect } from "react";

//Context
export const AppContext = createContext();

//Provider
export const SlideMenuContextProvider = ({ children }) => {
    const [itemNav, setItemNav] = useState(-1);
    const [action, setaction] = useState();

    //ComponentDidMouunt
    useEffect(() => {}, []);

    //
    const values = useMemo(
        () => ({
            itemNav, // States que seran visibles en el contexto.
            setItemNav, // Funciones que son exportadas para manejo externo.
            action,
            setaction,
        }),
        [itemNav, action]
    ); // States que serán visibles en el contexto.

    // Interface donde será expuesto como proveedor y envolverá la App.
    return <AppContext.Provider value={values}>{children}</AppContext.Provider>;
};

//
export function slideMenuContext() {
    const context = useContext(AppContext);

    if (!context) {
        console.error("Error deploying item Context!!!");
    }

    return context;
}

export default slideMenuContext;
