import mongoose from "mongoose";

const { Schema } = mongoose;

const ObjectId = mongoose.Types.ObjectId;

//Schema que gestiona les entitats
const entitySchema = new Schema({
    // _id: ObjectId,
    displayName: { type: String, default: "" },
    address: { type: String, default: "" },
    postCode: { type: String, default: "" },
    city: { type: String, default: "" },
    country: { type: String, default: "" },
    phone: { type: String, default: "" },
    logo: { type: String, default: "" },
    active: { type: Boolean, default: true },
    created: {
        type: Date,
        default: Date.now,
    },
});

export default mongoose.models.Entity || mongoose.model("Entity", entitySchema);
